iOS Question [SOLVED] error: Provisioning profile "default" doesn't support the In-App Purchase capability.

Segga

Member
Licensed User
I just started getting the error above when using the Hosted Builder?
If anyone else is experiencing the same issue, try selecting Prefer Secondary in the Build Server Settings dialog (this is currently working for me).
 

Erel

B4X founder
Staff member
Licensed User
If anyone else is experiencing the same issue, try selecting Prefer Secondary in the Build Server Settings dialog (this is currently working for me).
This workaround will soon stop working, as the second builder will be updated to Xcode 11 as well.

Which libraries are you using? A better workaround is to add the in app purchase feature to the app id.
 
Upvote 0

Segga

Member
Licensed User
SOLVED: Fixed by explicitly setting certificate and provision file attributes (This is not required from me when using the Xcode 10 builder).
B4X:
#CertificateFile: ios_development.cer
#ProvisionFile: myapp.mobileprovision
 
Last edited:
Upvote 0
Top